# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Wed Apr 14 19:46:27 2021
# ------------------------------------------------

package:
  name: r-flexsurv
  version: '2.0'
source:
  sha256: 89ae866c1d6f49fd318ed6bf0752626587a82ed77a1b4160075f7f8a65d4506f
  url:
    - https://cran.r-project.org/src/contrib/Archive/flexsurv/flexsurv_2.0.tar.gz
    - https://cran.r-project.org/src/contrib/flexsurv_2.0.tar.gz
build:
  merge_build_host: true
  number: '0'
  rpaths:
    - lib/
    - lib/R/lib/
  string: r40ha856d6a_0
requirements:
  build:
    - m2-bash 4.3.042 5
    - m2-coreutils 8.25 102
    - m2-filesystem 2016.04 4
    - m2-gcc-libs 5.3.0 4
    - m2-gmp 6.1.0 3
    - m2-libbz2 1.0.6 3
    - m2-libiconv 1.14 3
    - m2-libintl 0.19.7 4
    - m2-make 4.1 5
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-sed 4.2.2 3
    - m2-zip 3.0 2
    - m2w64-binutils 2.25.1 5
    - m2w64-bzip2 1.0.6 6
    - m2w64-crt-git 5.0.0.4636.2595836 2
    - m2w64-gcc 5.3.0 6
    - m2w64-gcc-ada 5.3.0 6
    - m2w64-gcc-fortran 5.3.0 6
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gcc-objc 5.3.0 6
    - m2w64-gmp 6.1.0 2
    - m2w64-headers-git 5.0.0.4636.c0ad18a 2
    - m2w64-isl 0.16.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-make 4.1.2351.a80a8b8 2
    - m2w64-mpc 1.0.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pkg-config 0.29.1 2
    - m2w64-toolchain 5.3.0 7
    - m2w64-toolchain_win-64 2.4.0 0
    - m2w64-tools-git 5.0.0.4592.90b8472 2
    - m2w64-windows-default-manifest 6.4 3
    - m2w64-winpthreads-git 5.0.0.4634.697f757 2
    - m2w64-zlib 1.2.8 10
    - msys2-conda-epoch 20160418 1
  host:
    - _r-mutex 1.0.1 anacondar_1
    - intel-openmp 2021.2.0 h57928b3_616
    - libblas 3.9.0 8_mkl
    - libflang 5.0.0 h6538335_20180525
    - liblapack 3.9.0 8_mkl
    - libopenblas 0.3.13 pthreads_hc469a61_0
    - llvm-meta 5.0.0 0
    - m2w64-bwidget 1.9.10 2
    - m2w64-bzip2 1.0.6 6
    - m2w64-expat 2.1.1 2
    - m2w64-fftw 3.3.4 6
    - m2w64-flac 1.3.1 3
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gettext 0.19.7 2
    - m2w64-gmp 6.1.0 2
    - m2w64-gsl 2.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libjpeg-turbo 1.4.2 3
    - m2w64-libogg 1.3.2 3
    - m2w64-libpng 1.6.21 2
    - m2w64-libsndfile 1.0.26 2
    - m2w64-libtiff 4.0.6 2
    - m2w64-libvorbis 1.3.5 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-libxml2 2.9.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pcre2 10.34 0
    - m2w64-speex 1.2rc2 3
    - m2w64-speexdsp 1.2rc3 3
    - m2w64-tcl 8.6.5 3
    - m2w64-tk 8.6.5 3
    - m2w64-tktable 2.10 5
    - m2w64-wineditline 2.101 5
    - m2w64-xz 5.2.2 2
    - m2w64-zlib 1.2.8 10
    - mkl 2020.4 hb70f87d_311
    - msys2-conda-epoch 20160418 1
    - openmp 5.0.0 vc14_1
    - r-assertthat 0.2.1 r40h6115d3f_2
    - r-backports 1.2.1 r40h6d2157b_0
    - r-base 4.0.3 hddad469_8
    - r-bbmle 1.0.23.1 r40h6115d3f_1
    - r-bdsmatrix 1.3_4 r40hda5aaf8_1
    - r-brio 1.1.1 r40h6d2157b_0
    - r-callr 3.6.0 r40hc72bb7e_0
    - r-cli 2.4.0 r40hc72bb7e_0
    - r-colorspace 2.0_0 r40h6d2157b_0
    - r-crayon 1.4.1 r40hc72bb7e_0
    - r-data.table 1.14.0 r40h6d2157b_0
    - r-desc 1.3.0 r40hc72bb7e_0
    - r-desolve 1.28 r40h87ffe87_2
    - r-diffobj 0.3.3 r40h6d2157b_0
    - r-digest 0.6.27 r40h096a1c2_0
    - r-dplyr 1.0.5 r40ha856d6a_0
    - r-ellipsis 0.3.1 r40hda5aaf8_0
    - r-evaluate 0.14 r40h6115d3f_2
    - r-fansi 0.4.2 r40h6d2157b_0
    - r-farver 2.1.0 r40ha856d6a_0
    - r-fastghquad 1.0 r40h796a38f_1
    - r-generics 0.1.0 r40hc72bb7e_0
    - r-ggplot2 3.3.3 r40hc72bb7e_0
    - r-glue 1.4.2 r40h6d2157b_0
    - r-gridextra 2.3 r40h6115d3f_1003
    - r-gtable 0.3.0 r40h6115d3f_3
    - r-isoband 0.2.4 r40ha856d6a_0
    - r-jsonlite 1.7.2 r40h6d2157b_0
    - r-labeling 0.4.2 r40h142f84f_0
    - r-lattice 0.20_41 r40h6d2157b_3
    - r-lifecycle 1.0.0 r40hc72bb7e_0
    - r-magrittr 2.0.1 r40h6d2157b_1
    - r-mass 7.3_53.1 r40h6d2157b_0
    - r-matrix 1.3_2 r40hd2e18ed_0
    - r-mgcv 1.8_34 r40hd2e18ed_0
    - r-mstate 0.3.1 r40h6d2157b_0
    - r-muhaz 1.2.6.3 r40he816bda_0
    - r-munsell 0.5.0 r40h6115d3f_1003
    - r-mvtnorm 1.1_1 r40h87ffe87_1
    - r-nlme 3.1_152 r40he816bda_0
    - r-numderiv 2016.8_1.1 r40h6115d3f_3
    - r-pillar 1.6.0 r40hc72bb7e_0
    - r-pkgconfig 2.0.3 r40h6115d3f_1
    - r-pkgload 1.2.1 r40ha856d6a_0
    - r-praise 1.0.0 r40h6115d3f_1004
    - r-processx 3.5.1 r40h6d2157b_0
    - r-ps 1.6.0 r40h6d2157b_0
    - r-purrr 0.3.4 r40hda5aaf8_1
    - r-quadprog 1.5_8 r40h20118fc_3
    - r-r6 2.5.0 r40hc72bb7e_0
    - r-rcolorbrewer 1.1_2 r40h6115d3f_1003
    - r-rcpp 1.0.6 r40ha856d6a_0
    - r-rcpparmadillo 0.10.4.0.0 r40h399f8d5_0
    - r-rematch2 2.1.2 r40h6115d3f_1
    - r-rlang 0.4.10 r40h6d2157b_0
    - r-rprojroot 2.0.2 r40hc72bb7e_0
    - r-rstpm2 1.5.1 r40h438b884_0
    - r-rstudioapi 0.13 r40hc72bb7e_0
    - r-scales 1.1.1 r40h6115d3f_0
    - r-survival 3.2_10 r40h6d2157b_0
    - r-testthat 3.0.2 r40ha856d6a_0
    - r-tibble 3.1.0 r40h6d2157b_1
    - r-tidyr 1.1.3 r40ha856d6a_0
    - r-tidyselect 1.1.0 r40h6115d3f_0
    - r-utf8 1.2.1 r40h6d2157b_0
    - r-vctrs 0.3.7 r40h6d2157b_0
    - r-viridis 0.5.1 r40h6115d3f_1004
    - r-viridislite 0.4.0 r40hc72bb7e_0
    - r-waldo 0.2.5 r40hc72bb7e_0
    - r-withr 2.4.1 r40hc72bb7e_0
    - r-zeallot 0.1.0 r40h6115d3f_1002
    - vc 14.2 hb210afc_4
    - vs2015_runtime 14.28.29325 h5e1d092_4
  run:
    - m2w64-gcc-libs
    - r-assertthat
    - r-base >=4.0,<4.1.0a0
    - r-desolve
    - r-dplyr
    - r-generics
    - r-magrittr
    - r-matrix
    - r-mstate >=0.2.10
    - r-muhaz
    - r-mvtnorm
    - r-numderiv
    - r-purrr
    - r-quadprog
    - r-rcpp >=0.11.5
    - r-rlang
    - r-rstpm2
    - r-survival
    - r-tibble
    - r-tidyr
    - r-tidyselect
test:
  commands:
    - '"%R%" -e "library(''flexsurv'')"'
about:
  home: https://github.com/chjackson/flexsurv-dev
  license: GPL-2.0-or-later
  license_family: GPL2
  license_file:
    - D:\bld\r-flexsurv_1618429803935\_h_env/lib/R/share/licenses/GPL-2
  summary: Flexible parametric models for time-to-event data, including the Royston-Parmar
    spline model, generalized gamma and generalized F distributions.  Any user-defined
    parametric distribution can be fitted, given at least an R function defining the
    probability density or hazard. There are also tools for fitting and predicting
    from fully parametric multi-state models.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - conda-forge/r
